Linux sg77.dns-private.com 5.14.0-503.40.1.el9_5.x86_64 #1 SMP PREEMPT_DYNAMIC Mon May 5 06:06:04 EDT 2025 x86_64
LiteSpeed
Server IP : 135.181.230.13 & Your IP : 216.73.217.64
Domains :
Cant Read [ /etc/named.conf ]
User : pilasate
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
home /
pilasate /
.nvm /
test /
installation_node /
Delete
Unzip
Name
Size
Permission
Date
Action
default-packages
2.6
KB
-rwxrwxr-x
2025-06-22 16:20
install LTS
1.26
KB
-rwxrwxr-x
2025-06-22 16:20
install already installed uses it
705
B
-rwxrwxr-x
2025-06-22 16:20
install from binary
678
B
-rwxrwxr-x
2025-06-22 16:20
install from binary with binary flag set
1.33
KB
-rw-rw-r--
2025-06-22 16:20
install from source
834
B
-rwxrwxr-x
2025-06-22 16:20
install from source with thread parameter
950
B
-rwxrwxr-x
2025-06-22 16:20
install from source without V8 snapshot for ARM
762
B
-rwxrwxr-x
2025-06-22 16:20
install hook
1.37
KB
-rwxrwxr-x
2025-06-22 16:20
install latest npm
2.38
KB
-rwxrwxr-x
2025-06-22 16:20
install on bash with ERR trap and set -E
1005
B
-rwxrwxr-x
2025-06-22 16:20
install two versions and use the latest one
682
B
-rwxrwxr-x
2025-06-22 16:20
install version specified in .nvmrc from binary
510
B
-rwxrwxr-x
2025-06-22 16:20
install while reinstalling packages
1.53
KB
-rwxrwxr-x
2025-06-22 16:20
install with --alias
244
B
-rwxrwxr-x
2025-06-22 16:20
install with --default
251
B
-rwxrwxr-x
2025-06-22 16:20
install with --latest-npm
269
B
-rwxrwxr-x
2025-06-22 16:20
setup_dir
62
B
-rwxrwxr-x
2025-06-22 16:20
teardown_dir
268
B
-rwxrwxr-x
2025-06-22 16:20
Save
Rename
#!/bin/sh set -e cleanup() { nvm cache clear nvm deactivate rm -rf "${NVM_DIR}"/v* nvm unalias default } die() { echo "$@" cleanup || true exit 1 } \. ../../nvm.sh if [ -z "${BASH-}" ]; then echo "This test only applies to Bash; skipping" exit fi cleanup || true trap 'echo "==> EXIT signal received (status: $?)"; cleanup' EXIT # shellcheck disable=SC3047 trap 'echo "==> ERR signal received"; exit 1' ERR # shellcheck disable=SC3041 set -E # shellcheck disable=SC3045,SC3047 ERR_TRAP_EXPECTED="$(trap -p ERR)" # Adding ` || die 'install failed'` implicitly disables error handling and # prevents ERR trap execution, so for the purposes of this test, `nvm install` # can't be part of another command or statement nvm install node case "$-" in *E*) # shellcheck disable=SC3045,SC3047 [ "$(trap -p ERR)" = "$ERR_TRAP_EXPECTED" ] || die "ERR trap not restored after \"nvm install $VERSION\"" ;; *) die "errtrace not restored after \"nvm install $VERSION\"" ;; esac